#!/bin/sh
# From https://codimd.web.cern.ch/vjC8BHbTS7etHwJve-K2Uw
case $1 in
    connect)
        sshuttle --dns -v --remote sterbini@lxplus.cern.ch \
        10.0.0.0/16 128.141.0.0/16 128.142.0.0/16 137.138.0.0/16 172.18.0.0/16 185.249.56.0/22 188.0.0.0/8 192.65.196.0/23 192.91.242.0/24 194.12.128.0/18 2001:1458::/32 2001:1459::/32 \
        10.0.0.0/8      \
        100.64.0.0/10   \
        10.100.0.0/16   \
        10.254.0.0/16   \
        10.76.0.0/15    \
        128.141.0.0/16  \
        128.142.0.0/16  \
        137.138.0.0/16  \
        172.16.0.0/12   \
        185.249.56.0/22 \
        188.184.0.0/15  \
        188.184.0.0/16  \
        188.185.0.0/15  \
        188.185.0.0/16  \
        192.16.155.0/24 \
        192.16.156.0/22 \
        192.16.160.0/22 \
        192.16.164.0/23 \
        192.16.166.0/24 \
        192.65.183.0/24 \
        192.65.184.0/21 \
        192.65.192.0/22 \
        192.65.196.0/23 \
        192.91.236.0/22 \
        192.91.240.0/22 \
        192.91.242.0/24 \
        192.91.244.0/23 \
        192.91.246.0/24 \
        194.12.128.0/18 --daemon --pidfile /tmp/sshuttle.pid
        shift
    ;;
    disconnect)
        kill `cat /tmp/sshuttle.pid`
        shift
    ;;
    *)
        # unknown option
        echo  "Unknown option\nUsage:"
        echo  "\t $0 connect : to start VPN-like connection to CERN"
        echo  "\t $0 disconnect : to stop it"
;;
esac
